IndexOutOfBoundsException (Java SE 12 & JDK 12 )
Keywords: java.lang.IndexOutOfBoundsException class

Module java.base
Package java.lang

## Class IndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ArrayIndexOutOfBoundsException`, `StringIndexOutOfBoundsException`

      public class IndexOutOfBoundsException
      extends RuntimeException

  Thrown to indicate that an index of some sort (such as to an array, to a string, or to a vector) is out of range.

  Applications can subclass this class to indicate similar exceptions.

  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexOutOfBoundsException()` | Constructs an `IndexOutOfBoundsException` with no detail message.
    `IndexOutOfBoundsException​(int index)` | Constructs a new `IndexOutOfBoundsException` class with an argument indicating the illegal index.
    `IndexOutOfBoundsException​(String s)` | Constructs an `IndexOutOfBoundsException` with the specified detail message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexOutOfBoundsException

          public IndexOutOfBoundsException()

      Constructs an `IndexOutOfBoundsException` with no detail message.

    - #### IndexOutOfBoundsException

          public IndexOutOfBoundsException​(String s)

      Constructs an `IndexOutOfBoundsException` with the specified detail message.
      Parameters:
        `s` - the detail message

    - #### IndexOutOfBoundsException

          public IndexOutOfBoundsException​(int index)

      Constructs a new `IndexOutOfBoundsException` class with an argument indicating the illegal index.

      The index is included in this exception's detail message. The exact presentation format of the detail message is unspecified.

      Parameters:
        `index` - the illegal index.
      Since:
        9